Bug 194499 - askmethod Network installs still try to use the CD
askmethod Network installs still try to use the CD
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 11:19 EDT by Mark Chappell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-20 05:42:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Chappell 2006-06-08 11:19:35 EDT
I suspect that this problem is pre-anaconda during the install phase of FC5,
however, I can't spot which component would be the correct one.

Description of problem:

I perform my installs over the network from a local Yum repository so I can
tweek the default installs, however, I use the normal boot CD and boot using 
"linux askmethod" at the LILO boot prompt.  Once I've been prompted for all the
information required to download the RPMs I click Next and unless I've
remembered to remove the CD from the drive it then procceeds to verify the CDs
and install from the CDs.  

This is surprisingly irritating, and seems like rather odd behavior, given that
I've specifically told the loader to ask me for an installation method and
specifically told it to use a network install.

How reproducible:
Always

Steps to Reproduce:
1.  Boot from the install CD
2.  When the LILO prompt appears type "linux askmethod"
3.  Provide requested information - Don't remove the CD from the drive
  
Actual results:

The installer proceeds to ask if I wish to verify the CDs then proceeds to
install as normal from Disk 1

Expected results:

Download the image from the provided network facility and install from that.
Comment 1 Jeremy Katz 2006-06-19 20:19:35 EDT
It should be using the CD for the second stage (so that less memory is used by
not downloading the image into RAM), but it should be getting packages over the
'net.  Is that not the case?
Comment 2 Mark Chappell 2006-06-20 05:42:15 EDT
Ah, you're quite right, it does download the rpms and just not the image, sorry
for the inconvenience.


Mark

Note You need to log in before you can comment on or make changes to this bug.